Subject: ANNOUNCE: Net::LDAPapi v1.40 (Unix & NT)
From: Clayton Donley <[email-masked]>
Date: 22 Jan 1998 23:22:30 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Hello Everyone,

I have uploaded the latest version of the Net::LDAPapi module to PAUSE
and my web page, http://miso.wwa.com/~donley/.

This module allows users to manipulate and search an LDAP enabled
directory from Perl.  The module is written mostly in C and has been
tested on various flavors of Unix with excellent results.  The latest
versions also support NT.

Version 1.40 contains major enchancements, including Perl-OO methods for
all the major API functions.  There are also a number of major bug
fixes.

Special thanks to everyone who contributed bug reports, fixes, and ideas
for improvement.

Please send any questions, comments, or bug reports to [email-masked]',
as well as the Perl newsgroups.

Clayton

====================================
Changes Since Last Announced Version
====================================

1.40 Wed Jan 21 11:12:24 CST 1998
 - I never did include the new version of web500.pl that supports
   Add functionality.  It did exist, and I've included it with this
   release.
 - There was a bug when adding or modifying a record where the value
   was set to be an integer.  The bug has probably existed since a very
   old version of the module.  It has now been fixed.
 - Fix to internal rebind process for Netscape API users provided by
   Rob Weltman <[email-masked]> of Netscape.

1.40beta Tue Jan 13 14:54:13 CST 1998
 - Wow, what hasn't changed in this version...
 - Removed the extra 'free' in ldap_get_dn that was submitted as
   a fix to a memory leak.  The fix seems to give inconsistent results
   on different platforms and APIs.
 - Added Perl-OO methods for virtually all API calls.  The C style
   API calls still work, and will work in all future versions.
   Note that I haven't added named arguments yet, so argument order
   matters.  This should be in the next version.
 - Manpages completely rewritten.  Please send me any errors or typos.
 - All examples except the two web ones have been rewritten to run under
   'use Strict'.
 - Test program and all examples except web500.pl have been rewritten
   to use Perl-OO methods.  Might need to clean-up comments and code
   after so many rewrites.
 - Minor bugfixes to web500.pl